### Method

# Pango Matrix get_font_scale_factor

since: 1.12

#### Declaration [src]

    double
    pango_matrix_get_font_scale_factor (
      const PangoMatrix* matrix
    )

#### Description [src]

Returns the scale factor of a matrix on the height of the font.

That is, the scale factor in the direction perpendicular to the vector that the X coordinate is mapped to. If the scale in the X coordinate is needed as well, use `pango_matrix_get_font_scale_factors()`.

Available since: 1.12

#### Parameters

`matrix`

  Type: `PangoMatrix`

  A `PangoMatrix`, may be `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `double`

The scale factor of `matrix` on the height of the font, or 1.0 if `matrix` is `NULL`.